Loading...
Searching...
No Matches
_xmlDtd Struct Reference

An XML DTD, as defined by <!DOCTYPE ... There is actually one for the internal subset and for the external subset. More...

`#include <tree.h>`

## Data Fields

void * | _private
| application data
xmlElementType | type
| XML_DTD_NODE.
const xmlChar * | name
| name of the DTD
struct _xmlNode * | children
| first child
struct _xmlNode * | last
| last child
struct _xmlDoc * | parent
| parent node
struct _xmlNode * | next
| next sibling
struct _xmlNode * | prev
| previous sibling
struct _xmlDoc * | doc
| containing document
void * | notations
| hash table for notations if any
void * | elements
| hash table for elements if any
void * | attributes
| hash table for attributes if any
void * | entities
| hash table for entities if any
xmlChar * | ExternalID
| public identifier
xmlChar * | SystemID
| system identifier
void * | pentities
| hash table for parameter entities if any

## Detailed Description

An XML DTD, as defined by <!DOCTYPE ... There is actually one for the internal subset and for the external subset.

Should be treated as opaque. Accessing members directly is deprecated.

The documentation for this struct was generated from the following file:

- tree.h